<?php
// ==========================================================================
// 	Zen-Cart Open Source E-commerce
// ==========================================================================
// 	Copyright (c) 2003-2011 The Zen Cart Developers
// ==========================================================================
// 	http://www.zen-cart.com/index.php
// ==========================================================================
// 	Portions Copyright (c) 2003-2011 osCommerce
// ==========================================================================
//	This source file is subject to version 2.0 of the GPL license
//	that is bundled with this package in the file LICENSE, and is
//	available through the world-wide-web at the following url:
//	http://www.zen-cart.com/license/2_0.txt.
//	If you did not receive a copy of the zen-cart license and are unable
//	to obtain it through the world-wide-web, please send a note to
//	license@zen-cart.com so we can mail you a copy immediately.
// ==========================================================================
//  $Id: group_pricing.php 3295 2006-03-28 07:27:49Z drbyte $
// ==========================================================================
//	Online Group Pricing v0.30 Modifications by Toni Scraparoni  05/01/2011
// ==========================================================================

require('includes/application_top.php');
require(DIR_FS_CATALOG . DIR_WS_FUNCTIONS . 'audience_id.php');

$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (zen_not_null($action)) {
	switch ($action) {

	case 'insert':
	case 'save':
		if (isset($_GET['gID'])) $group_id = zen_db_prepare_input($_GET['gID']);
		$group_name = zen_db_prepare_input($_POST['group_name']);
		$group_percentage = zen_db_prepare_input((float)$_POST['group_percentage']);
		// BOF TONI OGP
		$group_method = zen_db_prepare_input((int)$_POST['group_method']);
		if ($group_name) {
		$sql_data_array = array('group_name' => $group_name,
								'group_percentage' => $group_percentage,
								'group_method' => $group_method);
		// EOF TONI OGP
		if ($action == 'insert') {
			$insert_sql_data = array('date_added' => 'now()');
			$sql_data_array = array_merge($sql_data_array, $insert_sql_data);
			zen_db_perform(TABLE_GROUP_PRICING, $sql_data_array);
			$group_id = $db->insert_ID();
		} elseif ($action == 'save') {
			$update_sql_data = array('last_modified' => 'now()');
			$sql_data_array = array_merge($sql_data_array, $update_sql_data);
			zen_db_perform(TABLE_GROUP_PRICING, $sql_data_array, 'update', "group_id = " . (int)$group_id . " ");
			}
		}
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'gID=' . $group_id));
	break;
	
	// BOF TONI OGP
		case 'addnew':
		$customers_id = zen_db_prepare_input($_POST['customers_id']);
		$group_id = zen_db_prepare_input($_GET['gID']);
		$group_name = zen_db_prepare_input($_GET['group_name']);
		
		$audience_select = get_audience_id_select($_POST['customers_id'], 'email');
		$mail = $db->Execute($audience_select['query_string']);
		$customers_id = $audience_select['query_name'];
		
		if (!isset($customers_id) || empty($_POST['customers_id']) || $customers_id == 0) {
		$messageStack->add_session(ERROR_CUSTOMER_NOT_SELECTED,'error');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING,  'page=' . $_GET['page'] . '&group_name=' . $_GET['group_name'] . '&gID=' . $group_id . '&cID=' . $_GET['cID'] . '&action=new_cust'));				
		
		} else {	
		
		$sql = "SELECT customers_id, customers_group_pricing
		FROM ".TABLE_CUSTOMERS."
		WHERE customers_id = ".(int)$customers_id."
		AND customers_group_pricing != 0 ";
		
		$customer_check = $db->Execute($sql);
		
		if ($customer_check->RecordCount()>0 && $customer_check->fields['customers_group_pricing'] == $group_id) {
		$messageStack->add_session(sprintf(ERROR_CUSTOMER_EXISTS_SAME, $customer_check->fields['customers_group_pricing']),'error');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'page='. $_GET['page'] . '&gID='. $customer_check->fields['customers_group_pricing'] . '&cID='. $customers_id . '&action=edit_cust'));
		
		} elseif ($customer_check->RecordCount()>0 && $customer_check->fields['customers_group_pricing'] !== $group_id) {
		$messageStack->add_session(sprintf(ERROR_CUSTOMER_EXISTS_DIFF, $customer_check->fields['customers_group_pricing']),'error');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'page='. $_GET['page'] . '&gID='. $customer_check->fields['customers_group_pricing'] . '&cID='. $customers_id . '&action=pre_delete'));
		
		} else {
		$sql = "UPDATE " . TABLE_CUSTOMERS ." SET customers_group_pricing=" . (int)$group_id . "  WHERE customers_id = " . (int)$customers_id . " limit 1 ";
		$group_add_cust = $db->Execute($sql);
		}
		$messageStack->add_session(SUCCESS_CUSTOMER_ADDED . $customers_id, 'success');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'page='. $_GET['page'] . '&gID=' . $group_id . '&cID=' . $customers_id . '&action=edit_cust'));
	}
	break;
	
	case 'delete_cust':
	if (zen_admin_demo()) {
		$_GET['action']= '';
		$messageStack->add_session(ERROR_ADMIN_DEMO, 'caution');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page']));
		}		
		$group_id = zen_db_prepare_input($_GET['gID']);
		$cID=zen_db_prepare_input($_GET['cID']);
		$group_name = zen_db_prepare_input($_GET['group_name']);
		
		$sql = "SELECT c.customers_id, c.customers_group_pricing, g.group_id
		FROM ".TABLE_CUSTOMERS." as c, ".TABLE_GROUP_PRICING." as g
		WHERE c.customers_id = ".(int)$cID."
		AND c.customers_group_pricing = g.group_id
		AND g.group_id = " . (int)$group_id . "";					
		
		$customers_query = $db->Execute($sql);
		
		if ($customers_query->RecordCount() > 0) {
		$group_del_cust = $db->Execute("UPDATE " . TABLE_CUSTOMERS ." SET customers_group_pricing=0 WHERE customers_group_pricing = " . (int)$group_id . " AND customers_id = " . (int)$cID . " limit 1 ");
		
		$sql = "SELECT c.customers_id, g.group_id
		FROM ".TABLE_CUSTOMERS." as c, ".TABLE_GROUP_PRICING." as g
		WHERE c.customers_group_pricing = g.group_id
		AND g.group_id = " . (int)$group_id . "";
		
		$customer_group_select = $db->Execute($sql);
		
		$gID = $customer_group_select->fields['group_id'];
		$customers_id =  $customer_group_select->fields['customers_id'];		
		
		$messageStack->add_session(SUCCESS_CUSTOMER_REMOVED . $cID, 'success');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'group_name=' . $group_name . '&gID=' . $group_id . '&cID=' . $customers_id . '&action=edit_cust'));
		}
	break;
// EOF TONI OGP	
		
	case 'deleteconfirm':
		if (zen_admin_demo()) {
		$_GET['action']= '';
		$messageStack->add_session(ERROR_ADMIN_DEMO, 'caution');
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page']));
		}

		$delete_cust_confirmed = (isset($_POST['delete_customers']) && $_POST['delete_customers'] =='on') ? true : false ;

		$group_id = zen_db_prepare_input($_GET['gID']);
		$customers_query = $db->Execute("select customers_id from " . TABLE_CUSTOMERS . " where customers_group_pricing = " . (int)$group_id . " ");

		if ($customers_query->RecordCount() > 0 && $delete_cust_confirmed == true) {
		$db->Execute("delete from " . TABLE_GROUP_PRICING . " where group_id = " . (int)$group_id . " ");
		$db->Execute("update " . TABLE_CUSTOMERS ." set customers_group_pricing=0 where customers_group_pricing = " . (int)$group_id . " ");
		} elseif ($customers_query->RecordCount() > 0 && $delete_cust_confirmed == false) {
		$messageStack->add_session(ERROR_GROUP_PRICING_CUSTOMERS_EXIST,'error');
		} elseif($customers_query->RecordCount() == 0) {
		$db->Execute("delete from " . TABLE_GROUP_PRICING . " where group_id = " . (int)$group_id . " ");
		}
		zen_redirect(zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page']));
	break;
	}
}
// BOF TONI OGP
//query unnecessary if OGP is installed
/*$query = $db->Execute("select count(*) as count from " . TABLE_GROUP_PRICING );
	if ($query->fields['count'] > 0 && (!defined('MODULE_ORDER_TOTAL_GROUP_PRICING_STATUS') || MODULE_ORDER_TOTAL_GROUP_PRICING_STATUS !='true')) {
	$messageStack->add(ERROR_MODULE_NOT_CONFIGURED,'error');
	}
*/
// EOF TONI OGP
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>
</head>
<body onload="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table>
		</td>
      </tr>
      <tr>
        <td>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">			
<?php 	// BOF TONI OGP
	if ($action == 'edit_cust' || $action=='new_cust' || $action=='pre_delete') { ?>					
								<td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_CUST_GROUP_ID; ?></td>
								<td class="dataTableHeadingContent" style="width: 50px"></td>
								<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CUST_GROUP_NAME; ?></td>
								<td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_CUST_ID; ?></td>
								<td class="dataTableHeadingContent" style="width: 50px"></td>
								<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CUST_NAME; ?></td>								
								<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CUST_EMAIL; ?></td>
								<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CUST_CO; ?></td>
								<td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
							</tr>				
<?php
		$groups->fields['group_id'] = $_GET['gID'];
		
		$customer_groups_query_raw = "SELECT a.customers_id, a.entry_company, c.customers_id, c.customers_firstname, c.customers_lastname, c.customers_email_address, c.customers_group_pricing, g.group_id, g.group_name FROM " . TABLE_ADDRESS_BOOK . " a, " . TABLE_CUSTOMERS . " c, " . TABLE_GROUP_PRICING . " g
		WHERE a.customers_id = c.customers_id
		AND c.customers_group_pricing = g.group_id
		AND g.group_id = " . (int)$_GET['gID'] . "
		ORDER BY c.customers_lastname";			
		
		$group_customers_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $customer_groups_query_raw, $customer_groups_query_numrows);
		$group_customers = $db->Execute($customer_groups_query_raw);
		
		while (!$group_customers->EOF) {
		
			if (!isset($_GET['cID']) || (isset($_GET['cID']) && ($_GET['cID'] == $group_customers->fields['customers_id'])) && !isset($gInfo)) {
			$gInfo_array = array_merge($groups->fields, $group_customers->fields);
			$gInfo = new objectInfo($gInfo_array);
			}	
		
			if (isset($gInfo) && is_object($gInfo) && ($group_customers->fields['customers_id'] == $gInfo->customers_id)) {
			echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&cID=' . $gInfo->customers_id . '&action=pre_delete') . '\'">' . "\n";
			$_GET['cID'] = $gInfo->customers_id;
			} else {
			echo '             <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $group_customers->fields['group_id'] . '&cID=' . $group_customers->fields['customers_id'] . '&action=pre_delete') . '\'">' . "\n";
			}
?>	
				<td class="dataTableContent" align="right"><?php echo $group_customers->fields['group_id']; ?></td>
				<td class="dataTableContent" style="width: 50px"></td>
				<td class="dataTableContent"><?php echo $group_customers->fields['group_name']; ?></td>
				<td class="dataTableContent" align="right"><?php echo $group_customers->fields['customers_id']; ?></td>
				<td class="dataTableContent" style="width: 50px"></td>
				<td class="dataTableContent"><?php echo $group_customers->fields['customers_firstname'] . ' ' . $group_customers->fields['customers_lastname'] ; ?></td>				
				<td class="dataTableContent"><?php echo $group_customers->fields['customers_email_address']; ?></td>
				<td class="dataTableContent"><?php echo $group_customers->fields['entry_company']; ?></td>
				<td class="dataTableContent" align="right">
				<?php echo '<a href="' . zen_href_link(FILENAME_CUSTOMERS, 'page=' . $_GET['page'] . '&cID=' . $group_customers->fields['customers_id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
				 <?php echo '<a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $group_customers->fields['group_id'] . '&cID=' . $group_customers->fields['customers_id'] . '&action=pre_delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
				<?php if (isset($gInfo) && is_object($gInfo) && ($group_customers->fields['customers_id'] == $gInfo->customers_id)) { echo ' <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&cID=' . $gInfo->customers_id . '&action=edit_cust') . '">' . zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '') . '</a>'; } else { echo '<a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $group_customers->fields['group_id'] . '&cID=' . $group_customers->fields['customers_id'] . '&action=edit_cust', 'NONSSL') . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
			</tr>
<?php
		$group_customers->MoveNext();
		}
	?>
			<tr>
				<td align="right" colspan="8"><table border="0" width="100%" cellspacing="0" cellpadding="2">
				<tr>
					<td class="smallText" valign="top"><?php echo $group_customers_split->display_count($customer_groups_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_GROUP_CUSTOMERS); ?>
					</td>
					<td class="smallText" align="right"><?php echo $group_customers_split->display_links($customer_groups_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?>
					</td>			
				</tr>
			</table></td>
			</tr>
		</table></td>
			
<?php 
	} else { // EOF TONI OGP (eof customer display)
?>
				<td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_GROUP_ID; ?></td>
				<td class="dataTableHeadingContent" style="width: 50px"></td>
				<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_GROUP_NAME; ?></td>
				<td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_GROUP_AMOUNT; ?></td>
				<td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_GROUP_METHOD; ?></td>
				<td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
				</tr>
<?php
		$groups_query_raw = "select * from " . TABLE_GROUP_PRICING;
		$groups_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $groups_query_raw, $groups_query_numrows);
		$groups = $db->Execute($groups_query_raw);
		
		while (!$groups->EOF) {
		
			if ((!isset($_GET['gID']) || (isset($_GET['gID']) && ($_GET['gID'] == $groups->fields['group_id']))) && !isset($gInfo) && (substr($action, 0, 3) != 'new')) {
			// BOF TONI OGP
			$group_customers = $db->Execute("select count(*) as customer_count from " . TABLE_CUSTOMERS . " where customers_group_pricing = '" . (int)$groups->fields['group_id'] . "'");
			$gInfo_array = array_merge($groups->fields, $group_customers->fields);
			// EOF TONI OGP
			$gInfo = new objectInfo($gInfo_array);
			}
		
			if (isset($gInfo) && is_object($gInfo) && ($groups->fields['group_id'] == $gInfo->group_id)) {
			echo '              <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&action=edit') . '\'">' . "\n";
			} else {
			echo '              <tr class="dataTableRow" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'pointer\'" onmouseout="this.className=\'dataTableRow\'" onclick="document.location.href=\'' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $groups->fields['group_id'] . '&action=default') . '\'">' . "\n";
			}
?>		
				<td class="dataTableContent" align="right"><?php echo $groups->fields['group_id']; ?></td>
				<td class="dataTableContent" style="width: 50px"></td>
				<td class="dataTableContent"><?php echo $groups->fields['group_name']; ?></td>
				<td class="dataTableContent" style="text-align: right; padding-right: 2em"><?php echo $groups->fields['group_percentage']; ?></td>
				<td class="dataTableContent" align="center"><?php echo $groups->fields['group_method']; ?></td>
				<td class="dataTableContent" align="right">
				<?php echo '<a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $groups->fields['group_id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
				<?php echo '<a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $groups->fields['group_id'] . '&action=delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
				<?php if (isset($gInfo) && is_object($gInfo) && ($groups->fields['group_id'] == $gInfo->group_id)) { echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $groups->fields['group_id']) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>
				</td>
			</tr>
<?php
		$groups->MoveNext();
		}
?>
			<tr>
				<td align="right" colspan="7"><table border="0" width="100%" cellspacing="0" cellpadding="2">
				<tr>
					<td class="smallText" valign="top"><?php echo $groups_split->display_count($groups_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_PRICING_GROUPS); ?></td>
					<td class="smallText" align="right"><?php echo $groups_split->display_links($groups_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
				</tr>
			</table></td>
			</tr>
		</table></td>

<?php 	
	// BOF TONI OGP
	} // eof group display
	// EOF TONI OGP
?>

<?php
$heading = array();
$contents = array();

switch ($action) {
	case 'new':
		$heading[] = array('text' => '<b>' . TEXT_HEADING_NEW_PRICING_GROUP . '</b>');

		$contents =   array('form' => zen_draw_form('group_pricing', FILENAME_GROUP_PRICING, 'action=insert', 'post'));
		$contents[] = array('text' => TEXT_NEW_INTRO);
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_NAME . '<br>' . zen_draw_input_field('group_name', '', zen_set_field_length(TABLE_GROUP_PRICING, 'group_name')));
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_AMOUNT . '<br>' . zen_draw_input_field('group_percentage', ''));
		// BOF TONI OGP
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_METHOD . '<br>' . zen_draw_radio_field('group_method','1',true) . ' ' . TEXT_GROUP_PRICING_METHOD1 . '<br>' . zen_draw_radio_field('group_method','2') . ' ' . TEXT_GROUP_PRICING_METHOD2);
		// EOF TONI OGP
		$contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_insert.gif', IMAGE_SAVE) . ' <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $_GET['gID']) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	break;
	
	case 'edit':
		$heading[] = array('text' => '<b>' . TEXT_HEADING_EDIT_PRICING_GROUP . '</b>');
		
		$contents =   array('form' => zen_draw_form('group_pricing', FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&action=save'));
		$contents[] = array('text' => TEXT_EDIT_INTRO);
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_NAME . '<br>' . zen_draw_input_field('group_name', $gInfo->group_name, zen_set_field_length(TABLE_GROUP_PRICING, 'group_name')));
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_AMOUNT . '<br>' . zen_draw_input_field('group_percentage', $gInfo->group_percentage));
		
		// BOF TONI OGP
		if ($gInfo->group_method == 1) {
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_METHOD . '<br>' . zen_draw_radio_field('group_method','1',true) . ' ' . TEXT_GROUP_PRICING_METHOD1 . '<br>' . zen_draw_radio_field('group_method','2',false) . ' ' . TEXT_GROUP_PRICING_METHOD2);
		} else {
		$contents[] = array('text' => '<br>' . TEXT_GROUP_PRICING_METHOD . '<br>' . zen_draw_radio_field('group_method','1',false) . ' ' . TEXT_GROUP_PRICING_METHOD1 . '<br>' . zen_draw_radio_field('group_method','2',true) . ' ' . TEXT_GROUP_PRICING_METHOD2);
		}
		$contents[] = array('text' =>'<br>&nbsp;&nbsp;' . TEXT_CUSTOMERS . ' ' . $gInfo->customer_count);
		$contents[] = array('align' => 'center', 'text' => '<br><br>' . TEXT_GROUP_PRICING_EDIT_CUST_INSTRUCT);
		// EOF TONI OGP
		
		// BOF TONI OGP
		$customer_groups_query_raw = "SELECT c.customers_id, c.customers_lastname, g.group_id FROM
		" . TABLE_CUSTOMERS . " as c,
		" . TABLE_GROUP_PRICING . " as g
		WHERE c.customers_group_pricing = g.group_id
		AND g.group_id = " . (int)$_GET['gID'] . "
		ORDER BY c.customers_lastname";
		
		$group_customers = $db->Execute($customer_groups_query_raw);
		$cID = $group_customers->fields['customers_id'];
		
		$contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' .  $gInfo->group_id) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a> <a href="'. zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&group_name=' . $gInfo->group_name . '&gID='. $gInfo->group_id . (isset($cID) ? '&cID=' . $cID : '') . '&action=edit_cust') .'">'. zen_image_button('button_edit.gif', TEXT_GROUP_PRICING_BUTTON_EDIT_CUSTOMER) .'</a>');
		// EOF TONI OGP
	break;
		
	// BOF TONI OGP
	case 'edit_cust':	
		$heading[] = array('align' => 'center', 'text' => '<b>' . TEXT_HEADING_EDIT_CUSTOMER . '</b>');

		$contents =   array('form' => zen_draw_form('group_pricing', FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&group_name=' . $group_customers->fields['group_name'] . (isset($gInfo->group_id) ? '&gID=' . $gInfo->group_id : '&gID=' . $_GET['gID']) . (isset($gInfo->customers_id) && ($group_customers->fields['customers_id'] == $gInfo->customers_id) ? '&cID=' . $gInfo->customers_id : '&cID=' . $_GET['cID']) . '&action=pre_delete'));
		$contents[] = array('align' => 'center', 'text' => (isset($gInfo->customers_id) || isset($_GET['cID']) ? TEXT_EDIT_CUST_INTRO_HAS_CUST : TEXT_EDIT_CUST_INTRO_NO_CUST) . '<br>');
		$contents[] = array('align' => 'center', 'text' => '<br><b> ' . TEXT_HEADING_GROUP_ID . (isset($gInfo->group_id) ? $gInfo->group_id : $_GET['gID']) . '</b>');
		$contents[] = array('align' => 'center', 'text' => '<b> ' . (isset($gInfo->group_name) ? $group_customers->fields['group_name'] : $_GET['group_name']) . '</b>');
		$contents[] = array('align' => 'center', 'text' =>  (isset($gInfo->customers_firstname) ? $gInfo->customers_firstname : $group_customers->fields['customers_firstname']) . ' ' . (isset($gInfo->customers_lastname) ? $gInfo->customers_lastname : $group_customers->fields['customers_lastname']));
		$contents[] = array('align' => 'center', 'text' => '<br><a href="'.zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . (isset($gInfo->group_name) ? '&group_name=' . $group_customers->fields['group_name'] : '&group_name=' . $_GET['group_name']) . (isset($gInfo->group_id) ? '&gID=' . $group_customers->fields['group_id'] : '&gID=' . $_GET['gID']) . (isset($gInfo->customers_id) && ($group_customers->fields['customers_id'] == $gInfo->customers_id) ? '&cID=' . $group_customers->fields['customers_id'] : '&cID=' . $_GET['cID']) . '&action=new_cust').'">'.zen_image_button('button_insert.gif', TEXT_GROUP_PRICING_BUTTON_INSERT_CUSTOMER) .'</a> <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . (isset($gInfo->group_id) ? '&gID=' . $group_customers->fields['group_id'] : '&gID=' . $_GET['gID']) . '&action=edit') .'">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . ' </a>' . (isset($gInfo->customers_id) || isset($_GET['cID']) ? zen_image_submit('button_delete.gif', TEXT_GROUP_PRICING_BUTTON_DELETE_CUSTOMER) : ''));
	break;	
	
	case 'new_cust':
		$heading[] = array('text' => '<b>' . TEXT_HEADING_NEW_CUSTOMER . '</b>');
		$heading[] = array('text' => TEXT_GROUP_PRICING_NEW_CUSTOMER);

		$customers = get_audience_id('email');
		$contents   = array('form' =>'<table border="0" width="100%" cellspacing="0" cellpadding="0"><tr>'. html_entity_decode(zen_draw_form('email', FILENAME_GROUP_PRICING, 'group_name=' . $_GET['group_name'] . (isset($gInfo->group_id) ? '&gID=' . $group_customers->fields['group_id'] : '&gID=' . $_GET['gID']) . '&cID=' . $_POST['customers_id'] . '&action=addnew', 'post')).'<td>');
		$contents[] = array('align' =>'top', 'text' => html_entity_decode(zen_draw_pull_down_menu('customers_id', $customers)));
		$contents[] = array('align' => 'center', 'text' => '<br><b>' . TEXT_HEADING_GROUP_ID . (isset($gInfo->group_id) ? $group_customers->fields['group_id'] : $_GET['gID']) . '</b>');
		$contents[] = array('align' => 'center', 'text' => '<b> ' . (isset($gInfo->group_name) ? $group_customers->fields['group_name'] : $_GET['group_name']) . '</b>');
		$contents[] = array('align' => 'center', 'text' =>'<br>' . zen_image_submit('button_insert.gif', TEXT_GROUP_PRICING_BUTTON_INSERT_CUSTOMER) . ' <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . (isset($gInfo->group_name) ? '&group_name=' . $group_customers->fields['group_name'] : '&group_name=' . $_GET['group_name']) . (isset($gInfo->group_id) ? '&gID=' . $group_customers->fields['group_id'] : '&gID=' . $_GET['gID']) . (isset($group_customers->fields['customers_id']) ? '&cID=' . $gInfo->customers_id : '&cID=' . $_GET['cID']) . '&action=edit_cust') .'">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	break;	
	
	case 'pre_delete':
		$heading[] = array('align' => 'center', 'text' => '<b>' . TEXT_HEADING_DELETE_CUSTOMER . '</b>');
		
		$contents   = array('form' => zen_draw_form('group_pricing', FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&group_name=' . $gInfo->group_name . '&gID=' . $gInfo->group_id . '&cID=' . $gInfo->customers_id . '&action=delete_cust'));
		$contents[] = array('align' => 'center', 'text' => TEXT_DELETE_CUST_INTRO . '<br>');
		$contents[] = array('align' => 'center', 'text' => '<br><b>' . TEXT_HEADING_GROUP_ID . (isset($gInfo->group_id) ? $group_customers->fields['group_id'] : $_GET['gID']) . '</b>');
		$contents[] = array('align' => 'center', 'text' => '<b> ' . (isset($gInfo->group_name) ? $group_customers->fields['group_name'] : $_GET['group_name']) . '</b>');
		$contents[] = array('align' => 'center', 'text' =>  (isset($gInfo->customers_firstname) ? $gInfo->customers_firstname : $group_customers->fields['customers_firstname']) . ' ' . (isset($gInfo->customers_lastname) ? $gInfo->customers_lastname : $group_customers->fields['customers_lastname']));
		$contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_delete.gif', TEXT_GROUP_PRICING_BUTTON_DELETE_CUSTOMER) . ' <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . (isset($gInfo->group_name) ? '&group_name=' . $group_customers->fields['group_name'] : '&group_name=' . $_GET['group_name']) . (isset($gInfo->group_id) ? '&gID=' . $group_customers->fields['group_id'] : '&gID=' . $_GET['gID']) . (isset($group_customers->fields['customers_id']) ? '&cID=' . $gInfo->customers_id : '&cID=' . $_GET['cID']) . '&action=edit_cust') .'">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	break;
	// EOF TONI OGP
	
	case 'delete':
		$heading[] = array('text' => '<b>' . TEXT_HEADING_DELETE_PRICING_GROUP . '</b>');

		$contents =   array('form' => zen_draw_form('group_pricing', FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&action=deleteconfirm'));
		$contents[] = array('text' => TEXT_DELETE_INTRO);
		$contents[] = array('text' => '<br><b>' . $gInfo->group_name . '</b>');
		if ($gInfo->customer_count > 0) {
		$contents[] = array('text' => '<br>' . zen_draw_checkbox_field('delete_customers') . ' ' . TEXT_DELETE_PRICING_GROUP);
		$contents[] = array('text' => '<br>' . sprintf(TEXT_DELETE_WARNING_GROUP_MEMBERS, $gInfo->customer_count));
		}
		$contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	break;
	
// BOF TONI OGP	
	default:
		$heading[] = array('align' => 'center', 'text' => '<b>' . TEXT_HEADING_DEFAULT_INFO . '</b>');		
		$heading[] = array('align' => 'center', 'text' => TEXT_HEADING_GROUP_ID . '<b>'. $gInfo->group_id . '</b>&nbsp;&nbsp;&nbsp;&nbsp;' . TEXT_HEADING_GROUP_NAME .'<b>' . $gInfo->group_name . '</b>' . '&nbsp;&nbsp;&nbsp;&nbsp;' . TEXT_HEADING_GROUP_AMOUNT. '<b>' . (int)$gInfo->group_percentage .'%</b>');
		
		$contents[] = array('align' => 'left', 'text' =>  ' ' . TEXT_DATE_ADDED . ' ' . zen_date_short($gInfo->date_added));
		if (zen_not_null($gInfo->last_modified)) {
		$contents[] = array('align' => 'left', 'text' => ' ' . TEXT_LAST_MODIFIED . ' ' . zen_date_short($gInfo->last_modified));
		}
		$contents[] = array('align' => 'left', 'text' => '<br> ' . TEXT_GROUP_PRICING_METHOD . ' ' . $gInfo->group_method);
		$contents[] = array('align' => 'left', 'text' => ' ' . TEXT_CUSTOMERS . ' ' . $gInfo->customer_count);
		$contents[] = array('align' => 'center', 'text' => '<br><br><br>' . TEXT_GROUP_PRICING_DEFAULT_INSTRUCT);
		$contents[] = array('align' => 'center', 'text' => '<br><a href="'.zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&action=new').'">'.zen_image_button('button_insert.gif', TEXT_GROUP_PRICING_BUTTON_INSERT) .'</a>&nbsp;<a href="'.zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&action=edit').'">'.zen_image_button('button_edit.gif', TEXT_GROUP_PRICING_BUTTON_EDIT) .'</a>&nbsp;<a href="'.zen_href_link(FILENAME_GROUP_PRICING, 'page=' . $_GET['page'] . '&gID=' . $gInfo->group_id . '&action=delete').'">'.zen_image_button('button_delete.gif', TEXT_GROUP_PRICING_BUTTON_DELETE) .'</a><br>' );
// EOF TONI OGP
	break;
	
}	if ((zen_not_null($heading)) && (zen_not_null($contents))) {
	echo '     <td width="25%" valign="top">' . "\n";
	$box = new box;
	echo $box->infoBox($heading, $contents);
	echo '		</td>' . "\n";
} echo '	</td></tr></table>';
?>
							</tr>
						</table>
					</td>
				</tr>
			</table>
<!-- body_text_eof //-->
		</td>
	</tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>